#!/bin/sh
# /root/.echinus/ChooseTheme.sh
#
# Theme chooser script for the echinus WM /
# Choix de thème pour le gest. de fen. echinus.
####
# LANG_VX="$LANG";LANG=en_CA.utf8 # Pour tests
cd /root/.echinus
case "${LANG:0:2}" in
	fr)Choisir="Veuillez choisir un thème pour echinus
\t\tdans la liste suivante :"
		PaSur="Si vous n'êtes pas sûr(e), tapez Ctrl-C
\t\tet regardez les exemples en jpg / gif à
\t\t      ~/.echinus/themes/reference."
		Inject="Le thème a été injecté avec succès dans
\t\tle fichier de ressources d'echinus.
\t\tEchinus peut maintenant redémarrer."
		PasCoquil="Il y a eu erreur. Veuillez réessayer avec
		un de ces thèmes-ci, peut-être : "
		Desole="Il n'y a aucun thème de nom analogue. Désolé." ;;

	en|*)Choisir="Please choose an echinus theme from
\t\tone of the following:"
		PaSur="If you are unsure, please type Ctrl-C and
\t\t  take a look at the jpg / gif examples
\t\t     at ~/.echinus/themes/reference."
		Inject="The theme was successfully injected
\t\tinto the echinus WM resource file.
\t\tEchinus can now restart."
		PasCoquil="There was a typo. Please retry with
		one of these themes, perhaps:" 
		Desole="There is no theme with such a name. Sorry." ;;
esac

clear
echo -e "\n\t\t\e[32m$Choisir\e[0m\n."
ls -C --file-type --color=always themes > /tmp/themes.lst
# -T 30 # -x 
while read line;do
	echo -e "     $line"
done < /tmp/themes.lst
echo .
echo -e "\t\t\e[32m$PaSur\e[0m"
read ThemE

if [ ! -f /root/.echinus/themes/$ThemE ];then 
	echo -e "\t\t\e[32m$PasCoquil\e[0m"
	cd themes
	if [ "`ls *$ThemE* 2>/dev/null`" = "" ];then
		echo -e "\t\t\e[32m$Desole\e[0m"
	else
		ls  -x *$ThemE*
		echo
	fi
	exit
else
	cat en-tete themes/$ThemE bas > echinusrc
	exec /root/.echinus/OuricoTheme.sh &
	
	echo "$ThemE - `date`" >> /root/.echinus/CurrentTheme
	sleep 1s
	echo -e "\t\t\e[32m$Inject\e[0m\n"
	sleep 5s

	restartwm echinus
fi
# LANG="$LANG_VX" # for tests
